 <div class="w-full p-4 space-y-2 border border-gray-200 rounded-md">
    <div class="flex items-center justify-between">
      @if (milestone.priority === 'HIGH') { <app-tag [color]="'red'">{{ milestone.priority }}</app-tag> }
      @else if(milestone.priority === 'MIDDLE'){ <app-tag [color]="'blue'">{{ milestone.priority }}</app-tag> }
      @else { <app-tag [color]="'grey'">{{ milestone.priority }}</app-tag> }
     <app-more-option-button (updateBtnClick)="milestoneUpdate(milestone.name)" (deleteBtnClick)="milestoneDelete(milestone.name)" />
    </div>
    <p class="font-semibold leading-9">{{ milestone.name }}</p>
    <div class="flex flex-col space-y-1">
      <div class="h-2.5 rounded-full bg-[#ECECEC]">
        <div [ngStyle]="{ 'width': milestone.percentage + '%' }" class="h-full rounded-full bg-primaryTint"></div>
      </div>
      <div class="flex items-center justify-between font-medium leading-5">
        <p class="text-xs text-gray-400">진행율</p>
        <p class="text-sm">{{ milestone.percentage }}%</p>
      </div>
    </div>
  <div class="flex items-center justify-between h-8">
      <!-- 라벨 -->
      <div class="flex gap-1.5">
        @if(milestone.milestoneLabels.length > 0){
          <app-label>
            <p class="max-w-20 truncate ...">#{{ milestone.milestoneLabels[0].name }}</p>
          </app-label> 
        }
        @if(milestone.milestoneLabels.length > 1){
          <app-label>+{{ milestone.milestoneLabels.length }}</app-label> 
        } 
      </div>
      
      <!-- 작업자들 -->
      <div class="flex [&>div:nth-child(n+4)]:hidden">
       @for (worker of milestone.workers; track $index) { 
        
          <div class="relative -mr-1.5 rounded-full ring-2 ring-white">
            @if(milestone.workers.length >= 4 && $index >= 2){
              <div class="flex h-6 w-6 items-center justify-center rounded-full bg-primary text-[10px] font-semibold text-white ring-2 ring-white">+{{milestone.workers.length-2}}</div>
            }
            @else { 
              <ion-avatar class="w-6 h-6 overflow-hidden shadow-sm">
                <img alt="avatar" class="w-full h-full" [src]="worker.thumbnail ?? 'assets/images/avatar.png'" />
              </ion-avatar> 
            }
          </div>
        } 
      </div> 
    </div>
  </div> 
